package in.cdac.medinfo.csnotk.csnolib.model;

public class Refset {
	/**
	 * Unique identifier for a Refset
	 */
	protected String refSetId;
	
	protected String moduleId;
	
	protected String refsetType;
	
	private Concept refsetConcept;
	
	private String refsetCount;
	
	private int resetActive;
	
	
	
	
	
	public int getResetActive() {
		return resetActive;
	}
	public void setResetActive(int resetActive) {
		this.resetActive = resetActive;
	}
	public Concept getRefsetConcept() {
		return refsetConcept;
	}
	public void setRefsetConcept(Concept refsetConcept) {
		this.refsetConcept = refsetConcept;
	}
	public String getRefsetType() {
		return refsetType;
	}
	public void setRefsetType(String refsetType) {
		this.refsetType = refsetType;
	}
	
	public String getRefsetCount() {
		return refsetCount;
	}
	public void setRefsetCount(String refsetCount) {
		this.refsetCount = refsetCount;
	}
	public String getModuleId() {
		return moduleId;
	}
	public void setModuleId(String moduleId) {
		this.moduleId = moduleId;
	}
protected String targetId;
	
	
	public String getTargetId() {
		return targetId;
	}
	public void setTargetId(String targetId) {
		this.targetId = targetId;
	}
	/**
	 * Returns id of the Refset
	 * @return id of a Refset 
	 */
	public String getRefSetId() {
		return refSetId;
	}
	/**
	 * Sets the Refset Id
	 * @param refSetId
	 * 				 Id of a Refset 
	 */
	public void setRefSetId(String refSetId) {
		this.refSetId = refSetId;
	}
	
}
